<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="oko.tm.oko_pro_classic"
    android:versionCode="3"
    android:versionName="2.3" >

    <uses-sdk
        android:minSdkVersion="8"
        android:targetSdkVersion="23" />

    <uses-permission android:name="android.permission.SEND_SMS" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECEIVE_SMS" >
    </uses-permission>
    <uses-permission android:name="android.permission.READ_SMS" >
    </uses-permission>
    <uses-permission android:name="android.permission.INTERNET" >
    </uses-permission>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" >
    </uses-permission>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name="oko.tm.oko_pro_classic.MainActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <receiver android:name="oko.tm.oko_pro_classic.SmsReceiver" >
            <intent-filter>
                <action android:name="android.provider.Telephony.SMS_RECEIVED" />
            </intent-filter>
        </receiver>

        <!-- Declaring broadcast receiver for BOOT_COMPLETED event. -->
        <receiver
            android:name="oko.tm.oko_pro_classic.OnBootReceiver"
            android:enabled="true"
            android:exported="false" >
            <intent-filter>
                <action android:name="android.intent.action.BOOT_COMPLETED" />
            </intent-filter>
        </receiver>

        <activity
            android:name="oko.tm.oko_pro_classic.AboutActivity"
            android:label="@string/about_title"
            android:theme="@android:style/Theme.Dialog" >
        </activity>
        <activity
            android:name="oko.tm.oko_pro_classic.SettingsActivity"
            android:label="@string/settings_title"
            android:theme="@android:style/Theme.Dialog" >
        </activity>

        <service android:name="oko.tm.oko_pro_classic.MyService" >
        </service>
        <service android:name="oko.tm.oko_pro_classic.SupervisorService" >
        </service>
    </application>

</manifest>